接口
认证
发送从登录获取的会话 Cookie,或携带Authorization: Bearer <api-key>。
请求体
string
required
要与账户关联的新邮箱地址。
响应
string
用户的唯一标识符。
string
账户的用户名。
string
更新后的邮箱地址。
string
用户角色。
boolean
账户是否被禁用。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT https://router.example.com:8080/v1/router/auth/email \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <api-key>" \
-d '{"email":"[email protected]"}'
{
"id": "user-abc123",
"username": "alice",
"email": "[email protected]",
"role": "user",
"disabled": false
}
PUT /v1/router/auth/email 让已认证用户更新与其咏唱引擎 ROUTER 账户关联的邮箱地址。
curl -X PUT https://router.example.com:8080/v1/router/auth/email \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <api-key>" \
-d '{"email":"[email protected]"}'
{
"id": "user-abc123",
"username": "alice",
"email": "[email protected]",
"role": "user",
"disabled": false
}
PUT /v1/router/auth/email
Authorization: Bearer <api-key>。
curl -X PUT https://router.example.com:8080/v1/router/auth/email \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <api-key>" \
-d '{"email":"[email protected]"}'
{
"id": "user-abc123",
"username": "alice",
"email": "[email protected]",
"role": "user",
"disabled": false
}
Was this page helpful?